%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		xfwm4
Version: 	4.18.0
Release:	%mkrel 1
Summary:	Window manager for Xfce desktop environment
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://docs.xfce.org/xfce/xfwm4/
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: git
BuildRequires: intltool
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64dbus-glib-1_2-devel
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64epoxy-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64startup-notification-1-devel
BuildRequires: lib64wnck3-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xcomposite-devel 
BuildRequires: lib64xdamage-devel 
BuildRequires: lib64xext-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64xfce4util-devel 
BuildRequires: lib64xfconf-devel 
BuildRequires: lib64xfixes-devel
BuildRequires: lib64xinerama-devel 
BuildRequires: lib64xpresent-devel 
BuildRequires: lib64xrandr-devel 
BuildRequires: lib64xrender-devel 
BuildRequires: lib64xres-devel 
BuildRequires: libxcb-devel 
BuildRequires: x11-proto-devel

Obsoletes: xfwm4-doc

%description
The Xfce 4 window manager manages the placement of application
windows on the screen, provides beautiful window decorations,
manages workspaces or virtual desktops, and natively supports
multiscreen mode. It provides its own compositing manager (
from the Xorg Composite extension) for true transparency and shadows.
The Xfce 4 window manager includes a keyboard shorcuts editor for user
specific commands and basic windows manipulations, and it provides a
dialog for advanced tweaks.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-compositor \
	--enable-xsync \
	--enable-render \
	--enable-randr \
	--enable-startup-notification \
	--disable-static
	
%make_build

%install
rm -rf %buildroot
%make_install

%files
%{_bindir}
%{_libdir}
%{_datadir}

%changelog
* Thu Dec 15 2022 tex - 4.18.0-1pclos2022
- new version

* Mon Dec 12 2022 tex - 4.17,2-1pclos2022
- prepare for 4.18 final
